%global modname unidiff

%if 0%{?fedora} || 0%{?rhel} > 6
%bcond_without python3
%else
%bcond_with python3
%endif

Name:           python-%{modname}
Version:        0.5.5
Release:        1%{?dist}
Summary:        Python library to parse and interact with unified diffs (patches)
License:        MIT
URL:            http://github.com/matiasb/python-unidiff
Source0:        https://files.pythonhosted.org/packages/source/u/%{modname}/%{modname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-nose
%if %{with python3}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-nose
%endif
Patch1:         0001-use-setuptools-console_scripts-for-usr-bin-unidiff.patch

%description
python-unidiff is a Python library to parse and interact with unified diffs 
(patches).

%package -n python2-%{modname}
%{?python_provide:%python_provide python2-%{modname}}
Summary:        %{summary}

%description -n python2-%{modname}
python-unidiff is a Python library to parse and interact with unified diffs 
(patches).

%if %{with python3}
%package -n python%{python3_pkgversion}-%{modname}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{modname}}
Summary:        %{summary}

%description -n python%{python3_pkgversion}-%{modname}
python-unidiff is a Python library to parse and interact with unified diffs 
(patches).
%endif

%prep
%setup -q -n %{modname}-%{version}
%patch1 -p1
rm -r unidiff.egg-info

%build
%py2_build
%if %{with python3}
%py3_build
%endif

%install
%py2_install
%if %{with python3}
%py3_install
%endif

%check
# Missing from tarball: https://github.com/matiasb/python-unidiff/issues/51
#PYTHONPATH=%%{buildroot}%%{python2_sitelib} %%{__python2} -m unittest discover -s tests/
#%%if %%{with python3}
#PYTHONPATH=%%{buildroot}%%{python2_sitelib} %%{__python3} -m unittest discover -s tests/
#%%endif

%files -n python2-%{modname}
%license LICENSE
%doc README.rst HISTORY
%if !%{with python3}
# We ship the Python 3 version of the command unless there is no Python 3 version.
%{_bindir}/%{modname}
%endif
%{python2_sitelib}/%{modname}
%{python2_sitelib}/%{modname}*.egg-info

%if %{with python3}
%files -n python%{python3_pkgversion}-%{modname}
%license LICENSE
%doc README.rst HISTORY
%{_bindir}/%{modname}
%{python3_sitelib}/%{modname}
%{python3_sitelib}/%{modname}*.egg-info
%endif

%changelog
* Tue Jan 09 2018 Dan Callaghan <dcallagh@redhat.com> - 0.5.5-1
- new upstream release 0.5.5:
  https://github.com/matiasb/python-unidiff/blob/v0.5.5/HISTORY

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon May 29 2017 Dan Callaghan <dcallagh@redhat.com> - 0.5.4-1
- new upstream release 0.5.4:
  https://github.com/matiasb/python-unidiff/blob/v0.5.4/HISTORY

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.5.2-4
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Jun 29 2016 Dan Callaghan <dcallagh@redhat.com> - 0.5.2-2
- use %%license and %%python_provide, wrap %%description

* Fri Jun 17 2016 Dan Callaghan <dcallagh@redhat.com> - 0.5.2-1
- initial version
